GDB (xrefs)

Public Attributes | List of all members
record_full_reg_entry Struct Reference

## Public Attributes
unsigned short | num
unsigned short | len
union {
gdb_byte * ptr
gdb_byte buf [2 *sizeof(gdb_byte *)]
} | u

## Detailed Description

Definition at line 95 of file record-full.c.

## Member Data Documentation

## ◆ buf

gdb_byte record_full_reg_entry::buf[2 *sizeof(gdb_byte *)]

Definition at line 102 of file record-full.c.

Referenced by record_full_get_loc(), record_full_reg_alloc(), and record_full_reg_release().

## ◆ len

unsigned short record_full_reg_entry::len

Definition at line 98 of file record-full.c.

Referenced by record_full_exec_insn(), record_full_get_loc(), record_full_reg_alloc(), record_full_reg_release(), record_full_restore(), and record_full_save().

## ◆ num

unsigned short record_full_reg_entry::num

Definition at line 97 of file record-full.c.

Referenced by record_full_exec_insn(), record_full_reg_alloc(), record_full_restore(), and record_full_save().

## ◆ ptr

gdb_byte* record_full_reg_entry::ptr

Definition at line 101 of file record-full.c.

Referenced by record_full_get_loc(), record_full_reg_alloc(), and record_full_reg_release().

## ◆ u

union { ... } record_full_reg_entry::u

Referenced by record_full_get_loc(), record_full_reg_alloc(), and record_full_reg_release().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/record-full.c